<? // Main Title
$mainTitle = "";

// Ignore this
$scriptURL = split('/', $_SERVER['SCRIPT_NAME']);
$scriptName = array_pop($scriptURL);

// Default values for Overview controls
if ($scriptName == "index.php") {
    $form_minKills = 10;    // Minimum Kills
    $form_maxKills = 99999; // Maximum Kills
    $form_minTime = 10;     // Minimum Time
    $form_maxTime = 99999;  // Maximum Time
    $form_sort = "Name";    // Map Table Sort (Name, Kills, Suicides, TimeRatio, Time)
    $form_dir = "ASC";      // Sort Direction (ASC = Ascending, DESC = Descending)
}
// Default values for Ranking controls
elseif ($scriptName == "rankings.php") {
    $form_page = "main";    // Display
    $form_minKills = 10;    // Minimum Kills
    $form_maxKills = 99999; // Maximum Kills
    $form_minTime = 10;     // Minimum Time
    $form_maxTime = 99999;  // Maximum Time
    $form_rpp = 25;         // Results Per Page
    $form_sort = "Kills";   // Table Data Sort (Name, Kills, Deaths, KillRatio, TimeRatio, PlayTime)
    $form_dir = "DESC";     // Sort Direction (ASC = Ascending, DESC = Descending)
}
// Default values for Player Info controls
elseif ($scriptName == "playerInfo.php") {
    $form_page = "overview"; // Display
    $form_minKills = 10;     // Minimum Kills
    $form_maxKills = 99999;  // Maximum Kills
    $form_minTime = 10;      // Minimum Time
    $form_maxTime = 99999;   // Maximum Time
    $form_overview = 5;      // Number of values displayed under each Overview heading
    $form_sort = 1;          // Sort By (0 = Killer/Victim Name, 1 = Total Kills/Deaths)
    $form_dir = "DESC";      // Direction (ASC = Ascending, DESC = Descending)
    $form_toShow = 0;        // Tables To Show (0 = Both, 1 = Kills Only, 2 = Deaths Only)
    $form_ppp = 25;          // Results Per Page
}

$includeBase = "./includes/"; ?>
