<?
###########################################################
## Unistats :: Web Interface
##
## Author:       Aaron "Warhammer" Switzer
## Email:        warhammer@ispgn.com
## URL:          http://unistats.ispgn.com/
## Version:      0.1.5
## Last Updated: Jan. 18, 2004
##
## Copyright (C) 2002-2004 Aaron "Warhammer" Switzer
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
## or visit www.gnu.org
###########################################################

$whereStr = " WHERE RoundInfo.TimeStamp >= " . $startTime . " AND RoundInfo.TimeStamp <= " . $endTime;
if ($form_serverId) {
    $whereStr .= " AND RoundInfo.ServerID = " . $form_serverId;
}
if ($form_gameTypeId) {
    $whereStr .= " AND RoundInfo.GameTypeID = " . $form_gameTypeId;
}
$dataStr = "SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.Suicides) AS SuicideTotal";
$dataStr2 = "SUM(RoundInfo.PlayTime) AS TimeTotal";
$joinStr = " INNER JOIN PlayerRoundData ON RoundInfo.RoundID = PlayerRoundData.RoundID";
$joinStr2 = "";
if ($form_sort == "Kills") {
    $orderStr = " ORDER BY KillTotal " . $form_dir . ", MapInfo.ShortName";
}elseif ($form_sort == "Suicides") {
    $orderStr = " ORDER BY SuicideTotal " . $form_dir . ", MapInfo.ShortName";
}elseif ($form_sort == "Time") {
    $dataStr = "SUM(RoundInfo.PlayTime) AS TimeTotal";
    $dataStr2 = "SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.Suicides) AS SuicideTotal";
    $joinStr2 = $joinStr;
    $joinStr = "";
    $orderStr = " ORDER BY TimeTotal " . $form_dir . ", MapInfo.ShortName";
}else {
    $orderStr = " ORDER BY MapInfo.ShortName " . $form_dir;
} ?>
<table width="100%" cellspacing="2" cellpadding="2" border="0">
    <tr>
	<td colspan="5" class="tableTitle">Maps</td>
    </tr>
    <tr>
        <td class="colTitle">
	    Name
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Name&dir=DESC"><img name="down_arrow" src="./images/down_arrow.jpg" border="0"></a>
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Name&dir=ASC"><img name="up_arrow" src="./images/up_arrow.jpg" border="0"></a>
	</td>
	<td class="colTitle">
	    Total Kills
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Kills&dir=DESC"><img name="down_arrow" src="./images/down_arrow.jpg" border="0"></a>
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Kills&dir=ASC"><img name="up_arrow" src="./images/up_arrow.jpg" border="0"></a>
	</td>
	<td class="colTitle">
	    Total Suicides
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Suicides&dir=DESC"><img name="down_arrow" src="./images/down_arrow.jpg" border="0"></a>
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Suicides&dir=ASC"><img name="up_arrow" src="./images/up_arrow.jpg" border="0"></a>
	</td>
	<td class="colTitle">
	    Kills/Minute
	</td>
	<td class="colTitle">
	    Total Time
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Time&dir=DESC"><img name="down_arrow" src="./images/down_arrow.jpg" border="0"></a>
	    <a href="index.php?serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&minKills=<? echo($form_minKills); ?>&maxKills=<? echo($form_maxKills); ?>&minTime=<? echo($form_minTime); ?>&maxTime=<? echo($form_maxTime); ?>&sort=Time&dir=ASC"><img name="up_arrow" src="./images/up_arrow.jpg" border="0"></a>
	</td>
    </tr>
    <? $getMaps = mysql_query("SELECT MapInfo.MapID, MapInfo.ShortName, " . $dataStr . " FROM MapInfo INNER JOIN RoundInfo ON RoundInfo.MapID = MapInfo.MapID" . $joinStr . $whereStr . " GROUP BY MapInfo.MapID" . $orderStr . ";");
    for ($i = 0; $i < mysql_num_rows($getMaps); $i++) {
        $mapInfo = mysql_fetch_row($getMaps);
	$getExtras = mysql_query("SELECT " . $dataStr2 . " FROM MapInfo INNER JOIN RoundInfo ON MapInfo.MapID = RoundInfo.MapID" . $joinStr2 . $whereStr . " AND MapInfo.MapID = " . $mapInfo[0] . " GROUP BY MapInfo.MapID;");
	$extraData = mysql_fetch_row($getExtras);
	if ($form_sort == "Time") {
	    $totalKills = $extraData[0];
	    $totalSuisides = $extraData[1];
	    $totalTime = $mapInfo[2];
	}else {
	    $totalKills = $mapInfo[2];
	    $totalSuisides = $mapInfo[3];
	    $totalTime = $extraData[0];
	}
	if ($i % 2) {
	    $cellColor = 2;
	}else {
	    $cellColor = 3;
	} ?>
	<tr>
	    <td class="color<? echo($cellColor); ?>"><? echo($mapInfo[1]); ?></td>
	    <? if (!$totalKills) {
		$totalKills = 0;
	    } ?>
	    <td class="color<? echo($cellColor); ?>"><? echo($totalKills); ?></td>
	    <? if (!$totalSuisides) {
		$totalSuisides = 0;
	    } ?>
	    <td class="color<? echo($cellColor); ?>"><? echo($totalSuisides); ?></td>
	    <? if (!$totalTime) {
		$totalTime = 0;
		$timeRatio = 0;
	    }else {
		$timeRatio = $totalKills/($totalTime/60);
	    } ?>
	    <td class="color<? echo($cellColor); ?>"><? echo(sprintf("%.2f", $timeRatio)); ?></td>
	    <td class="color<? echo($cellColor); ?>"><? echo(formatTime($totalTime)); ?></td>
	</tr>
    <? }
    $mapInfo = "";
    if (!$i) { ?>
	<tr>
	    <td colspan="5" height="35" class="textLarge">No Data</td>
	</tr>
    <? } ?>
</table>
