<?
###########################################################
## Unistats :: Web Interface
##
## Author:       Aaron "Warhammer" Switzer
## Email:        warhammer@ispgn.com
## URL:          http://unistats.ispgn.com/
## Version:      0.1.5
## Last Updated: Jan. 18, 2004
##
## Copyright (C) 2002-2004 Aaron "Warhammer" Switzer
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
## or visit www.gnu.org
###########################################################

if ($form_roundId) {
    $whereStr = " AND KillData.RoundID = " . $form_roundId;
}elseif ($form_serverId || $form_gameTypeId || $form_mapId) {
    $joinStr = " INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID";
    $whereStr = " AND RoundInfo.TimeStamp >= " . $startTime . " AND RoundInfo.TimeStamp <= " . $endTime;
    if ($form_serverId) {
	$whereStr .= " AND RoundInfo.ServerID = " . $form_serverId;
    }
    if ($form_gameTypeId) {
	$whereStr .= " AND RoundInfo.GameTypeID = " . $form_gameTypeId;
    }
    if ($form_mapId) {
	$whereStr .= " AND RoundInfo.MapID = ". $form_mapId;
    }
} ?>
<table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr>
	<td>
	    <table width="100%" cellspacing="2" cellpadding="2" border="0">
		<tr>
		    <td colspan="4" class="tableTitle">Weapons</td>
		</tr>
		<tr>
		    <td width="35%" class="colTitle">Favorite</td>
		    <td width="15%" class="colTitle">Kills</td>
		    <td width="35%" class="colTitle">Most Hated</td>
		    <td width="15%" class="colTitle">Deaths</td>
		</tr>
		<? $getFav = mysql_query("SELECT MethodOfDeathInfo.FullName, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN MethodOfDeathInfo ON KillData.MODID = MethodOfDeathInfo.MODID WHERE KillData.KillerID = " . $form_playerId . $whereStr . " AND (MethodOfDeathInfo.CategoryID != 1 || KillData.MODID = 24) AND KillData.KillerID != KillData.VictimID GROUP BY KillData.KillerID, KillData.MODID ORDER BY KillTotal DESC LIMIT 0," . $form_overview . ";");
		$getHated = mysql_query("SELECT MethodOfDeathInfo.FullName, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN MethodOfDeathInfo ON KillData.MODID = MethodOfDeathInfo.MODID WHERE KillData.VictimID = " . $form_playerId . $whereStr . " AND (MethodOfDeathInfo.CategoryID != 1 || KillData.MODID = 24) AND KillData.KillerID != KillData.VictimID GROUP BY KillData.VictimID, KillData.MODID ORDER BY KillTotal DESC LIMIT 0," . $form_overview . ";");
		for ($i = 0; $i < mysql_num_rows($getFav) || $i < mysql_num_rows($getHated); $i++) { ?>
		    <tr>
			<? $favWeapon = mysql_fetch_row($getFav);
		        if ($favWeapon[1]) { ?>
			    <td width="35%" class="color2"><? echo($favWeapon[0]); ?></td>
			    <td width="15%" class="color3"><? echo($favWeapon[1]); ?></td>
			<? }else { ?>
			    <td width="50%" colspan="2">&nbsp;</td>
			<? }
			$hatedWeapon = mysql_fetch_row($getHated);
			if ($hatedWeapon[1]) { ?>
			    <td width="35%" class="color2"><? echo($hatedWeapon[0]); ?></td>
			    <td width="15%" class="color3"><? echo($hatedWeapon[1]); ?></td>
			<? }else { ?>
			    <td width="50%" colspan="2">&nbsp;</td>
			<? } ?>
		    </tr>
		<? }
		$getFav = "";
		$getHated = ""; ?>
	    </table>
	</td>
    </tr>
    <tr><td>&nbsp;</td><tr>
    <tr>
	<td>
	    <table width="100%" cellspacing="2" cellpadding="2" border="0">
		<tr>
		    <td colspan="4" class="tableTitle">Enemies</td>
		</tr>
		<tr>
		    <td width="35%" class="colTitle">Favorite</td>
		    <td width="15%" class="colTitle">Kills</td>
		    <td width="35%" class="colTitle">Most Hated</td>
		    <td width="15%" class="colTitle">Deaths</td>
		</tr>
		<? $getVictim = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON KillData.VictimID = PlayerInfo.PlayerID WHERE KillData.KillerID = " . $form_playerId . $whereStr . " AND KillData.KillerID != KillData.VictimID GROUP BY KillData.VictimID ORDER BY KillTotal DESC, PlayerInfo.Name LIMIT 0," . $form_overview . ";");
		$getKiller = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON KillData.KillerID = PlayerInfo.PlayerID WHERE KillData.VictimID = " . $form_playerId . $whereStr . " AND KillData.KillerID != KillData.VictimID GROUP BY KillData.KillerID ORDER BY KillTotal DESC, PlayerInfo.Name LIMIT 0," . $form_overview . ";");
		for ($i = 0; $i < mysql_num_rows($getVictim) || $i < mysql_num_rows($getKiller); $i++) { ?>
		    <tr>
		        <? $victimInfo = mysql_fetch_row($getVictim);
		        if ($victimInfo[2]) { ?>
			    <td width="35%" class="color2"><a href="playerInfo.php?playerId=<? echo($victimInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>"><? echo($victimInfo[1]); ?></a></td>
			    <td width="15%" class="color3"><? echo($victimInfo[2]); ?></td>
			<? }else { ?>
			    <td width="50%" colspan="2">&nbsp;</td>
			<? }
			$killerInfo = mysql_fetch_row($getKiller);
			if ($killerInfo[2]) { ?>
			    <td width="35%" class="color2"><a href="playerInfo.php?playerId=<? echo($killerInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>"><? echo($killerInfo[1]); ?></a></td>
			    <td width="15%" class="color3"><? echo($killerInfo[2]); ?></td>
			<? }else { ?>
			    <td width="50%" colspan="2">&nbsp;</td>
			<? } ?>
		    </tr>
		<? }
		$getVictim = "";
		$getKiller = ""; ?>
	    </table>
	</td>
    </tr>
    <? if (!$form_roundId && !$form_mapId) { ?>
	<tr><td>&nbsp;</td><tr>
	<tr>
	    <td>
		<table width="100%" cellspacing="2" cellpadding="2" border="0">
		    <tr>
			<td colspan="4" class="tableTitle">Maps</td>
		    </tr>
		    <tr>
			<td width="35%" class="colTitle">Killing Fields</td>
			<td width="15%" class="colTitle">Kills</td>
			<td width="35%" class="colTitle">Idling Grounds</td>
			<td width="15%" class="colTitle">Time</td>
		    </tr>
		    <? $getKiller = mysql_query("SELECT MapInfo.ShortName, SUM(PlayerRoundData.Kills) AS KillTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN MapInfo ON RoundInfo.MapID = MapInfo.MapID WHERE PlayerRoundData.PlayerID = " . $form_playerId . $whereStr . " GROUP BY MapInfo.MapID ORDER BY KillTotal DESC, MapInfo.ShortName LIMIT 0," . $form_overview . ";");
		    $getTime = mysql_query("SELECT MapInfo.ShortName, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN MapInfo ON RoundInfo.MapID = MapInfo.MapID WHERE PlayerRoundData.PlayerID = " . $form_playerId . $whereStr . " GROUP BY MapInfo.MapID ORDER BY TimeTotal DESC, MapInfo.ShortName LIMIT 0," . $form_overview . ";");
		    for ($i = 0; $i < mysql_num_rows($getKiller) || $i < mysql_num_rows($getTime); $i++) { ?>
			<tr>
			    <? $killerInfo = mysql_fetch_row($getKiller);
			    if ($killerInfo[1]) { ?>
				<td width="35%" class="color2"><? echo($killerInfo[0]); ?></td>
				<td width="15%" class="color3"><? echo($killerInfo[1]); ?></td>
			    <? }else { ?>
				<td width="50%" colspan="2"></td>
			    <? }
			    $timeInfo = mysql_fetch_row($getTime);
			    if ($timeInfo[1]) { ?>
				<td width="35%" class="color2"><? echo($timeInfo[0]); ?></td>
				<td width="15%" class="color3"><? echo(formatTime($timeInfo[1])); ?></td>
			    <? }else { ?>
				<td width="50%" colspan="2"></td>
			    <? } ?>
			</tr>
		    <? }
		    $getKiller = "";
		    $getTime = ""; ?>
		</table>
	    </td>
	</tr>
    <? } ?>
</table>
