<?
###########################################################
## Unistats :: Web Interface
##
## Author:       Aaron "Warhammer" Switzer
## Email:        warhammer@ispgn.com
## URL:          http://unistats.ispgn.com/
## Version:      0.1.5
## Last Updated: Jan. 18, 2004
##
## Copyright (C) 2002-2004 Aaron "Warhammer" Switzer
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
## or visit www.gnu.org
###########################################################

if ($form_roundId) {
    $whereStr = " WHERE RoundInfo.RoundID = " . $form_roundId;
}else {
    $whereStr = " WHERE RoundInfo.TimeStamp >= " . $startTime . " AND RoundInfo.TimeStamp <= " . $endTime;
    if ($form_serverId) {
	$whereStr .= " AND RoundInfo.ServerID = " . $form_serverId;
    }
    if ($form_gameTypeId) {
        $whereStr .= " AND RoundInfo.GameTypeID = " . $form_gameTypeId;
    }
    if ($form_mapId) {
	$whereStr .= " AND RoundInfo.MapID = " . $form_mapId;
    }
}
$haveStr = " HAVING KillTotal >= " . $form_minKills . " AND KillTotal <= " . $form_maxKills . " AND TimeTotal >= " . $form_minTime * 60 . " AND TimeTotal <= " . $form_maxTime * 60; ?>
<table width="100%" cellspacing="2" cellpadding="2" border="0">
    <tr>
	<td colspan="3" class="tableTitle">Player Awards</td>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY KillTotal DESC LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Kills</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo($awardInfo[2]); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(PlayerRoundData.Deaths) AS DeathTotal, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY DeathTotal DESC LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Deaths</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo($awardInfo[2]); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(PlayerRoundData.TeamKills) AS TKTotal, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY TKTotal DESC LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Teamkills</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo($awardInfo[2]); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(PlayerRoundData.Suicides) AS SuTotal, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY SuTotal DESC LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Suicides</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo($awardInfo[2]); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, (SUM(PlayerRoundData.Kills)/SUM(PlayerRoundData.Deaths)) AS KillRatio, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY KillRatio DESC, PlayerInfo.Name LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Best Kill/Death Ratio</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo(sprintf("%.2f", $awardInfo[2])); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, (SUM(PlayerRoundData.Kills)/(SUM(PlayerRoundData.PlayTime)/60)) AS TimeRatio, SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.PlayTime) AS TimeTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY TimeRatio DESC, PlayerInfo.Name LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Kills Per Minute</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo(sprintf("%.2f", $awardInfo[2])); ?></td>
	<? } ?>
    </tr>
    <? $getAward = mysql_query("SELECT PlayerInfo.PlayerID, PlayerInfo.Name, SUM(PlayerRoundData.PlayTime) AS TimeTotal, SUM(PlayerRoundData.Kills) AS KillTotal FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON PlayerRoundData.PlayerID = PlayerInfo.PlayerID" . $whereStr . " GROUP BY PlayerRoundData.PlayerID" . $haveStr . " ORDER BY TimeTotal DESC, PlayerInfo.Name LIMIT 0,1;");
    $awardInfo = mysql_fetch_row($getAward); ?>
    <tr>
        <td class="rowTitle">Most Time Played</td>
	<? if ($awardInfo[0] == null) { ?>
	    <td colspan="2" class="center3">N/A</td>
	<? }else { ?>
	    <td class="color2"><a href="playerInfo.php?playerId=<? echo($awardInfo[0]); ?>&serverId=<? echo($form_serverId); ?>&roundId=<? echo($form_roundId); ?>&mapId=<? echo($form_mapId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>"><? echo($awardInfo[1]); ?></a></td>
	    <td class="color3"><? echo(formatTime($awardInfo[2])); ?></td>
	<? } ?>
    </tr>
</table>
