<?
###########################################################
## Unistats :: Web Interface
##
## Author:       Aaron "Warhammer" Switzer
## Email:        warhammer@ispgn.com
## URL:          http://unistats.ispgn.com/
## Version:      0.1.5
## Last Updated: Jan. 18, 2004
##
## Copyright (C) 2002-2004 Aaron "Warhammer" Switzer
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
## or visit www.gnu.org
###########################################################

if ($form_roundId && $page != "maps") {
    $whereStr = " AND RoundInfo.RoundID = " . $form_roundId;
}else {
    $whereStr = " AND RoundInfo.TimeStamp >= " . $startTime . " AND RoundInfo.TimeStamp <= " . $endTime;
    if ($form_serverId) {
	$whereStr .= " AND RoundInfo.ServerID = " . $form_serverId;
    }
    if ($form_gameTypeId) {
	$whereStr .= " AND RoundInfo.GameTypeID = " . $form_gameTypeId;
    }
    if ($form_mapId) {
	$whereStr .= " AND RoundInfo.MapID = " . $form_mapId;
    }
} ?>
<table width="100%" cellspacing="2" cellpadding="2" border="0">
    <tr>
        <td colspan="2" class="tableTitle">General Info</td>
    </tr>
    <? $getInfo = mysql_query("SELECT SUM(PlayerRoundData.Kills) AS KillTotal, SUM(PlayerRoundData.Deaths) AS DeathTotal, SUM(PlayerRoundData.TeamKills) AS TKTotal, SUM(PlayerRoundData.Suicides) AS SuTotal, (SUM(PlayerRoundData.Kills)/SUM(PlayerRoundData.Deaths)) AS KillRatio, (SUM(PlayerRoundData.Kills)/(SUM(PlayerRoundData.PlayTime)/60)) AS TimeRatio, SUM(PlayerRoundData.PlayTime) AS PlayTime, SUM(PlayerRoundData.ConnectedTime) AS ConnectTime FROM PlayerRoundData INNER JOIN RoundInfo ON PlayerRoundData.RoundID = RoundInfo.RoundID WHERE PlayerRoundData.PlayerID = " . $form_playerId . $whereStr . " GROUP BY PlayerRoundData.PlayerID;");
    $generalInfo = mysql_fetch_row($getInfo);
    $getInfo = "";
    $killTotal = $generalInfo[0];
    if (!$killTotal) {
	$killTotal = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Total Kills</td>
	<td width="50%" class="color3"><? echo($killTotal); ?></td>
    </tr>
    <? $deathTotal = $generalInfo[1];
    if (!$deathTotal) {
	$deathTotal = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Total Deaths</td>
	<td width="50%" class="color3"><? echo($deathTotal); ?></td>
    </tr>
    <? $TKTotal = $generalInfo[2];
    if (!$TKTotal) {
	$TKTotal = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Total Teamkills</td>
	<td width="50%" class="color3"><? echo($TKTotal); ?></td>
    </tr>
    <? $SuTotal = $generalInfo[3];
    if (!$SuTotal) {
	$SuTotal = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Total Suicides</td>
	<td width="50%" class="color3"><? echo($SuTotal); ?></td>
    </tr>
    <? $killRatio = $generalInfo[4];
    if (!$killRatio) {
	$killRatio = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Kill/Death Ratio</td>
	<td width="50%" class="color3"><? echo(sprintf("%.2f", $killRatio)); ?></td>
    </tr>
    <? $timeRatio = $generalInfo[5];
    if (!$timeRatio) {
	$timeRatio = 0;
    } ?>
    <tr>
	<td width="50%" class="rowTitle">Kills/Minute</td>
	<td width="50%" class="color3"><? echo(sprintf("%.4f", $timeRatio)); ?></td>
    </tr>
    <? $playTime = $generalInfo[6];
    if (!$playTime) {
	$playTime = 0;
    } ?>
    <tr>
        <td width="50%" class="rowTitle">Time Spent In Game</td>
	<td width="50%" class="color3"><? echo(formatTime($playTime)); ?></td>
    </tr>
    <? $connectTime = $generalInfo[7];
    if (!$connectTime) {
	$connectTime = 0;
    } ?>
    <tr>
        <td width="50%" class="rowTitle">Time Spent Connected</td>
	<td width="50%" class="color3"><? echo(formatTime($connectTime)); ?></td>
    </tr>
</table>
