<?
###########################################################
## Unistats :: Web Interface
##
## Author:       Aaron "Warhammer" Switzer
## Email:        warhammer@ispgn.com
## URL:          http://unistats.ispgn.com/
## Version:      0.1.5
## Last Updated: Jan. 18, 2004
##
## Copyright (C) 2002-2004 Aaron "Warhammer" Switzer
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
## or visit www.gnu.org
###########################################################

if ($form_display == "Kill") {
    $playerStart = $form_victimStart;
    $getType = "Victim";
    $ofType = "Killer";
}else {
    $playerStart = $form_killerStart;
    $getType = "Killer";
    $ofType = "Victim";
}
$whereStr = "WHERE KillData.KillerID != KillData.VictimID AND KillData." . $ofType . "ID = " . $form_playerId;
if ($form_roundId) {
    $whereStr .= " AND RoundInfo.RoundID = " . $form_roundId;
}else {
    $whereStr .= " AND RoundInfo.TimeStamp >= " . $startTime . " AND RoundInfo.TimeStamp <= " . $endTime;
    if ($form_serverId) {
	$whereStr .= " AND RoundInfo.ServerID = " . $form_serverId;
    }
    if ($form_gameTypeId) {
	$whereStr .= " AND RoundInfo.GameTypeID = " . $form_gameTypeId;
    }
    if ($form_mapId) {
	$whereStr .= " AND RoundInfo.MapID = " . $form_mapId;
    }
}
if ($form_sort == 0 || $form_sort == null) {
    $orderStr = " ORDER BY PlayerInfo.name " . $form_dir;
}else {
    $orderStr = " ORDER BY KillTotal " . $form_dir . ", PlayerInfo.Name";
}
$getTotals = mysql_query("SELECT Count(DISTINCT(KillData." . $getType . "ID)) AS TotalPlayers, SUM(KillData.Total) AS TotalKills FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID " . $whereStr . ";");
$totalPlayers = mysql_fetch_row($getTotals);
$getTotals = "";
if ($totalPlayers[1] == null) {
    $totalKills = 0;
}else {
    $totalKills = $totalPlayers[1];
}
if ($form_display == "Kill") {
    if ($form_victimStart > $totalPlayers[0]) {
	$form_victimStart = 0;
	$playerStart = 0;
    }
}else {
    if ($form_killerStart > $totalPlayers[0]) {
	$form_killerStart = 0;
	$playerStart = 0;
    }
}
$getPlayers = mysql_query("SELECT KillData." . $getType . "ID, PlayerInfo.Name, Count(DISTINCT(KillData.MODID)) AS KillCount, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN PlayerInfo ON KillData." . $getType . "ID = PlayerInfo.PlayerID " . $whereStr . " GROUP BY " . $getType . "ID" . $orderStr . " LIMIT " . $playerStart . "," . $form_ppp . ";"); ?>
<table width="100%" cellpadding="2" cellspacing="2" border="0">
    <tr>
	<td colspan="4" class="tableTitle"><? echo($form_display); ?> Data</td>
    </tr>
    <tr>
        <td colspan="4" class="tableInfo">
	    Total <? echo($form_display . "s: " . $totalKills); ?>&nbsp;&nbsp;&nbsp;&nbsp;Total <? echo($getType . "s: " . $totalPlayers[0]); ?>
	</td>
    </tr>
    <tr>
        <td class="colTitle"><? echo($getType); ?></td>
        <td class="colTitle">Weapon</td>
        <td class="colTitle">Category</td>
        <td class="colTitle">Total</td>
    </tr>
    <? $form_displayNum = mysql_num_rows($getPlayers);
    for ($i = 0; $i < $form_displayNum; $i++) {
	$playerInfo = mysql_fetch_row($getPlayers);
	$whereStr2 = $whereStr . " AND " . $getType . "ID = " . $playerInfo[0];
	$getKills = mysql_query("SELECT MethodOfDeathInfo.FullName, CategoryInfo.Name, SUM(KillData.Total) AS KillTotal FROM KillData INNER JOIN RoundInfo ON KillData.RoundID = RoundInfo.RoundID INNER JOIN MethodOfDeathInfo ON KillData.MODID = MethodOfDeathInfo.MODID INNER JOIN CategoryInfo ON MethodOfDeathInfo.CategoryID = CategoryInfo.CategoryID " . $whereStr2 . " GROUP BY KillData.KillerID, KillData.VictimID, KillData.MODID ORDER BY KillTotal DESC, KillData.MODID;");
	for ($j = 0; $j < mysql_num_rows($getKills); $j++) {
	    $killData = mysql_fetch_row($getKills); ?>
	    <tr>
		<? if ($i % 2) {
		    $cellColor = 2;
		}else {
		    $cellColor = 3;
		}
		if ($j == 0) { ?>
		    <td rowspan="<? echo($playerInfo[2]); ?>" class="center<? echo($cellColor); ?>">
			<a href="playerInfo.php?playerId=<? echo($playerInfo[0]); ?>&page=<? echo($form_page); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&toShow=<? echo($form_toShow); ?>&ppp=<? echo($form_ppp); ?>&sort=<? echo($form_sort); ?>&dir=<? echo($form_dir); ?>"><? echo($playerInfo[1]); ?></a><br><br>
			Total: <b><? echo($playerInfo[3]); ?></b>
		    </td>
		<? } ?>
	        <td class="color<? echo($cellColor); ?>"><? echo($killData[0]); ?></td>
	        <td class="color<? echo($cellColor); ?>"><? echo($killData[1]); ?></td>
	        <td class="color<? echo($cellColor); ?>"><? echo($killData[2]); ?></td>
	    </tr>
	<? }
    }
    $getPlayers = "";
    if ($totalPlayers[0] > 0 && $totalPlayers[0] != $form_displayNum) { ?>
	<tr>
	    <td colspan="4" class="center1">
		<? if ($playerStart > 0) {
		    $previousStart = $playerStart - $form_ppp;
		    if ($previousStart < 0) {
		        $previousStart = 0;
		    } ?>
		    <a href="playerInfo.php?playerId=<? echo($form_playerId); ?>&page=<? echo($form_page); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&toShow=<? echo($form_toShow); ?>&victimStart=<? if ($form_display == "Kill") {echo($previousStart);}else {echo($form_victimStart);} ?>&killerStart=<? if ($form_display == "Death") {echo($previousStart);}else {echo($form_killerStart);} ?>&ppp=<? echo($form_ppp); ?>&sort=<? echo($form_sort); ?>&dir=<? echo($form_dir); ?>">&lt;-- Previous</a>
		<? } ?>
		&nbsp;
		<? $form_pageNum = 1;
		for ($i = 0; $i < $totalPlayers[0]; $i += $form_ppp) {
		    if ($i == $playerStart) { ?>
			<b><? echo($form_pageNum); ?></b>
		    <? }else { ?>
			<a href="playerInfo.php?playerId=<? echo($form_playerId); ?>&page=<? echo($form_page); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&toShow=<? echo($form_toShow); ?>&victimStart=<? if ($form_display == "Kill") {echo($i);}else {echo($form_victimStart);} ?>&killerStart=<? if ($form_display == "Death") {echo($i);}else {echo($form_killerStart);} ?>&ppp=<? echo($form_ppp); ?>&sort=<? echo($form_sort); ?>&dir=<? echo($form_dir); ?>"><? echo($form_pageNum); ?></a>
		    <? }
		    $form_pageNum++;
		} ?>
		&nbsp;
		<? $nextStart = $playerStart + $form_ppp;
		if ($nextStart < $totalPlayers[0]) { ?>
		    <a href="playerInfo.php?playerId=<? echo($form_playerId); ?>&page=<? echo($form_page); ?>&serverId=<? echo($form_serverId); ?>&gameTypeId=<? echo($form_gameTypeId); ?>&mapId=<? echo($form_mapId); ?>&startDay=<? echo($form_startDay); ?>&startMonth=<? echo($form_startMonth); ?>&startYear=<? echo($form_startYear); ?>&endDay=<? echo($form_endDay); ?>&endMonth=<? echo($form_endMonth); ?>&endYear=<? echo($form_endYear); ?>&roundId=<? echo($form_roundId); ?>&toShow=<? echo($form_toShow); ?>&victimStart=<? if ($form_display == "Kill") {echo($nextStart);}else {echo($form_victimStart);} ?>&killerStart=<? if ($form_display == "Death") {echo($nextStart);}else {echo($form_killerStart);} ?>&ppp=<? echo($form_ppp); ?>&sort=<? echo($form_sort); ?>&dir=<? echo($form_dir); ?>">Next --&gt;</a>
		<? } ?>
	    </td>
	</tr>
    <? }elseif ($totalPlayers[0] == 0) { ?>
	<tr>
	    <td colspan="4" class="textLarge">No <? echo($form_display. "s"); ?> To Display.</td>
	</tr>
    <? } ?>
</table>
